/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __DECODE_H__
#define __DECODE_H__

#include "../uulib/uudeview.h"
#include "../uulib/fptools.h"

int   article_decode	   (article_data *adata, GSList *list, gboolean);
char* UUD_file_name_filter (void *opaque, char *fname);
int   UUD_busy_callback	   (void *opaque, uuprogress *progress);
void  UUD_message_callback (void *opaque, char *msg, int level);

#endif /* __DECODE_H__ */
