/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __GROUP_PROPS_H__
#define __GROUP_PROPS_H__

typedef struct _PanGroupProps PanGroupProps;
struct _PanGroupProps {
	GnomePropertyBox *dialog;

	GtkWidget *download_dir; /* GnomeFileEntry */
	
	group_data *group;
};

extern PanGroupProps *gp;

void group_props_cancel (void);
GtkWidget * group_props_directories_page (void);
void group_props_spawn (group_data *gdata);
void group_props_init (void);
void group_props_apply (GtkWidget *widget, gpointer data);



#endif /* __GROUP_PROPS_H__ */
