%define name	pan
%define version 0.6.5
%define release 1
%define prefix  /usr/local

Summary: A Gnome/GTK Newsreader for X
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Applications/Internet
URL: http://www.superpimp.org/

Source: ftp://source.rebelbase.com/pub/pan/pan-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root

Docdir: %{prefix}/doc

Requires: gtk+ >= 1.2.6
Requires: gnome-libs >= 1.0.16

%description
Pimp Ass Newsreader (PAN)
-------------------------
This is alpha, so don't expect too much yet.
If you are upgrading from an older version
you might need to delete the configuration file
and data directory.  Usually ~/.gnome/Pan and ~/.pan

%prep

%setup

%build
%ifarch i386
CFLAGS="-O2" ./configure --prefix=%{prefix}
%endif
%ifarch i586
CFLAGS="-O2 -mpentium -march=pentium" ./configure --prefix=%{prefix}
%endif
%ifarch i686
CFLAGS="-O2 -mpentiumpro -march=pentiumpro" ./configure --prefix=%{prefix}
%endif
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS TODO COPYING CREDITS
%attr(755,root,root) %{prefix}/bin/pan
%{prefix}/share/gnome/apps/Internet/pan.desktop

%clean
rm -r $RPM_BUILD_ROOT

%changelog

* Wed Dec 1 1999 Charles Kerr <charles@skywalker.ecn.ou.edu>
- added "-ggdb3" to CFLAGS so that it'll be easier to read backtraces
  submitted in bug reports

* Thu Nov 4 1999 Jason Leach <leach@wam.umd.edu>
- added gtk+-1.2.6 requirement (1.2.3 definitely breaks, might as well
  make it newest gtk+)

* Tue Nov 2 1999 Jason Leach <leach@wam.umd.edu>
- made .spec.in file to auto-generate .spec

* Sat Sep 25 1999 Leland Elie <lelie@airmail.net>
- created spec file.
