#ifndef MESSAGE_FILTER__H
#define MESSAGE_FILTER__H

extern void message_filter_ui ( void );

typedef enum
{
	MESSAGE_FILTER_ACTION_NONE	= 0,
	MESSAGE_FILTER_ACTION_DELETE	= (1<<0),
	MESSAGE_FILTER_ACTION_EXPAND	= (1<<1)
}
MessageFilterAction;

extern MessageFilterAction message_filter_get_action ( const article_data* );

typedef enum
{
	MESSAGE_FILTER_TYPE_SUBJECT,
	MESSAGE_FILTER_TYPE_THREAD,
	MESSAGE_FILTER_TYPE_AUTHOR
}
MessageFilterType;

extern void message_filter_killfile_add ( MessageFilterType, const article_data* );

extern void message_filter_tracker_add ( MessageFilterType, const article_data* );

#endif
