/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */


#ifndef __QMANAGER_H__
#define __QMANAGER_H__

typedef struct _PanQueueManager PanQueueManager;
struct _PanQueueManager {
	GtkWidget *window;
	GtkWidget *queue_clist;
	GtkWidget *appbar;
};

void queue_setup_appbar (void);
void queue_manager_hide_cb (GtkWidget *widget, PanQueueManager *pqm);

void queue_manager_init (void);
void queue_manager_spawn (void);

#endif /* __QMANAGER_H__ */
