/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __TEXT_H__
#define __TEXT_H__

extern GtkWidget *text;
extern GtkWidget *text_rightclick_popup;
extern article_data* article;

void          text_set_from_message_id  (const gchar* message_id);
void	      realize_text_cb	(GtkWidget *text, gpointer data);
void          text_clear	(void);
GtkWidget*    text_create	(void);
void          text_update	(const gchar *);
article_data* displayed_article (void);
void	      text_button_press (GtkWidget *widget, GdkEventButton *bevent);
void	      text_select_all (void);

#endif /* __TEXT_H__ */
